#
# spec file for package pcmanx-gtk2
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pcmanx-gtk2
Version:        1.2
Release:        10.2
Summary:        User-friendly telnet client designed for BBS browsing
License:        GPL-2.0+
Group:          Productivity/Networking/Other
Url:            http://code.google.com/p/pcmanx-gtk2/
Source:         %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libnotify-devel
BuildRequires:  libtool
BuildRequires:  update-desktop-files
BuildRequires:  xz
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils

%description
An easy-to-use telnet client mainly targets BBS users.
PCManX is a newly developed GPL'd version of PCMan, a full-featured famous BBS
client formerly designed for MS Windows only. It aimed to be an easy-to-use yet
full-featured telnet client facilitating BBS browsing with the ability to
process double-byte characters.

%prep
%setup -q

%build
%configure --enable-iplookup --enable-proxy --enable-libnotify \
	--enable-debug \
;
make %{?_smp_mflags} V=1

%install
%makeinstall
%suse_update_desktop_file pcmanx GTK Network News Chat InstantMessaging

%find_lang pcmanx

%post
%desktop_database_post

%postun
%desktop_database_postun

%files -f pcmanx.lang
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%dir %{_datadir}/pcmanx/
%dir %{_datadir}/pcmanx/nancy_bot/
%{_bindir}/pcmanx
%{_datadir}/applications/pcmanx.desktop
%{_datadir}/pcmanx/emoticons
%{_datadir}/pcmanx/sitelist
%{_datadir}/pcmanx/nancy_bot/default.conf
%{_datadir}/pcmanx/nancy_bot/default_msg.data
%{_datadir}/pcmanx/nancy_bot/example_msg.data
%{_datadir}/pcmanx/nancy_bot/example_usages.data
%{_datadir}/pcmanx/nancy_bot/example.conf
%{_datadir}/pcmanx/nancy_bot/default_usages.data
%{_datadir}/pixmaps/pcmanx.svg
%{_mandir}/man1/pcmanx.1*

%changelog
* Fri Feb 22 2013 swyear@gmail.com
- Update to 1.2.0
- Remove pcmanx-gtk2-fcfontsort.patch, upstream had fixed this bug
- Use consistent naming: PCManX
- Allow users to search selected text through Web search engine
- Handle malformed URL properly
- Usability enhancement for Unity desktop envionment
- Add new interface to show and hide toolbar
- Remember maximized state
- Improve the performance of cairo caret
- Fix SegFault when $LANG is not set
- Fix the invisible cursor issue
- Fix other bugs
* Tue Sep 11 2012 swyear@gmail.com
- add BuildRequires:libtool to fix (bnc#779500)
* Tue Sep 11 2012 swyear@gmail.com
- remove untested patch
* Mon Sep 10 2012 swyear@gmail.com
- add BuildRequires:libtool to fix segmentation fault in openSUSE 12.2
* Thu May 24 2012 swyear@gmail.com
- Fix issue about FcFontSort() should no longer use `NULL' as the value of `result'
* Wed Mar 14 2012 swyear@gmail.com
- pcmanx-gtk2 is a BBS telnet client.
